WinDom: _window Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# _window Struct Reference
[Window Library, Window Library]

Window descriptor structure. More...

`#include <mt_wndm.h>`

## Data Fields
int | handle
| AES handle of the window.
int | attrib
| window widget attributes
long | status
| WinDom status of the window (see constants WS_).
W_GRAFPORT * | graf
| VDI virtual workstation opened for the window.
W_MENU | menu
| Information related to the window menu (if exist).
W_FORM | tool
| Information related to the window toolbar (if exist).
W_ICON | icon
| Information needed when window is iconified.
GRECT | createsize
| Original window size.
int | __rsvd [11]
| reserved
char * | name
char * | info
| window name and information bar
INT16 | w_max
INT16 | h_max
| maximal window size
INT16 | w_min
INT16 | h_min
| minimal window size
long | xpos
long | ypos
| relative data position in the window
long | xpos_max
long | ypos_max
| Maximal values of previous variables.
INT16 | w_u
INT16 | h_u
| vertical and horizontal scroll offset
_window * | next
| next window
int | type
| user window type
LIST | data
| window data - reserved
LIST | binding
| window events - reserved

## Detailed Description

Window descriptor structure.

## Field Documentation

int _window::__rsvd[11]

| reserved

int _window::attrib

| window widget attributes

LIST _window::binding

| window events - reserved

GRECT _window::createsize

| Original window size.

LIST _window::data

| window data - reserved

W_GRAFPORT* _window::graf

| VDI virtual workstation opened for the window.

INT16 _window::h_max

| maximal window size

INT16 _window::h_min

| minimal window size

INT16 _window::h_u

| vertical and horizontal scroll offset

int _window::handle

| AES handle of the window.

W_ICON _window::icon

| Information needed when window is iconified.

char * _window::info

| window name and information bar

W_MENU _window::menu

| Information related to the window menu (if exist).

char* _window::name

struct _window* _window::next

| next window

long _window::status

| WinDom status of the window (see constants WS_).

W_FORM _window::tool

| Information related to the window toolbar (if exist).

int _window::type

| user window type

INT16 _window::w_max

INT16 _window::w_min

INT16 _window::w_u

long _window::xpos

long _window::xpos_max

long _window::ypos

| relative data position in the window

long _window::ypos_max

| Maximal values of previous variables.

The documentation for this struct was generated from the following file:

- mt_wndm.h